<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body>
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<?PHP

ini_set('max_execution_time', 99999);
include ("../Conections/SecurityAccess.php");

		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			if($explode_name[1] == 'csv'){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		$CuentaRegTotal = "0";
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{///Inicia While
				$Var1_CSV=$fileop[0];
				$Var2_CSV=$fileop[1];
				$Var3_CSV=$fileop[2];
				$Var4_CSV=$fileop[3];
				$Var5_CSV=$fileop[4];
				$Var6_CSV=$fileop[5];
				$Var7_CSV=$fileop[6];
				$Var8_CSV=$fileop[7];
				$Var9_CSV=$fileop[8];
				

				$CuentaRegTotal=$CuentaRegTotal+1;

						
					////Guardando Kardex Negativo
						$sqlGKN = "insert tabla_prioridad (ID,CVE_BODEGA,CVE_CUENTA,UBICACION,PRIORIDAD,USUARIO_ALTA,OBSERVACIONES,HORA,FECHA)
						values('$Var1_CSV','$Var2_CSV','$Var3_CSV','$Var4_CSV','$Var5_CSV','$Var6_CSV','$Var7_CSV','$Var8_CSV','$Var9_CSV')";
						$resultadoGKN=mysql_query($sqlGKN,$conexion) or die(mysql_error());
						
	
			}///Termina While
				
				echo "<script>alert('SE SUBIERON $CuentaRegTotal PRIORIDADES DE FORMA EXITOSA.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='2; URL=PrioridadMasivo_CSV.php'>";

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////

		}
?>
</body>
</html>